package cn.net.caoyao.cpzshandset.service.bll;

import android.content.Context;
import cn.net.caoyao.cpzshandset.bean.ReturnedGoodsBean;
import cn.net.caoyao.cpzshandset.db.dal.liqueurSFY.LiqueurSFYReturnedGoodsDal;
import cn.net.caoyao.cpzshandset.db.presenter.ReturnedGoodsDal;

public class ReturnedGoodsBll {
	private ReturnedGoodsDal dal;
	public ReturnedGoodsBll(Context context) {
		dal = new LiqueurSFYReturnedGoodsDal(context);
	}
	
	public int insertReturnedGoodsByAccount() {
		if(dal == null) return 0;
		return dal.insertReturnedGoodsByAccount();
	}
	public int insertReturnedGoods(ReturnedGoodsBean bean) {
		if(dal == null) return 0;
		return dal.insertReturnedGoods(bean);
	}

	
	public void updateReturnedGoodsSubmitStatus(int status, int error_code, int id) {
		if(dal == null) return;
		dal.updateReturnedGoodsSubmitStatus(status, error_code, id);
	}

	
	public ReturnedGoodsBean queryReturnedGoodsById(int id) {
		if(dal == null) return null;
		return dal.queryReturnedGoodsById(id);
	}



}
